Page MenuHomePhabricator

[libcxx][ranges] Implement `ranges::borrowed_range`.
ClosedPublic

Authored by zoecarver on May 13 2021, 10:54 AM.

Diff Detail

Event Timeline

zoecarver requested review of this revision.May 13 2021, 10:54 AM
zoecarver created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptMay 13 2021, 10:54 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
cjdb requested changes to this revision.May 13 2021, 10:56 AM

LGTM overall. Please don't forget the conformance tests!

This revision now requires changes to proceed.May 13 2021, 10:56 AM

Wasn't this already in the subrange patch?

libcxx/test/std/ranges/range.range/borrowed_range.compile.pass.cpp
64

Can you test with some standard library types, for example std:;string, std::vector, std::string_view, and std::span.

Adds range conformance tests.

cjdb added a comment.May 16 2021, 9:37 PM

This also needs a subsumption test. Once that's in place, I'll review it and likely LGTM it!

zoecarver updated this revision to Diff 346596.May 19 2021, 4:37 PM

Add subsumption test.

cjdb accepted this revision.May 19 2021, 5:28 PM

LGTM!

Mordante accepted this revision.May 19 2021, 10:34 PM

LGTM! Make sure it passes CI before committing.

This revision is now accepted and ready to land.May 19 2021, 10:34 PM
This revision was automatically updated to reflect the committed changes.